#include <iostream>
#include <fstream>
#include <math.h>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <queue>
using namespace std;
int main()
{
	int n, i, j, x;
	cin >> n;
	vector<int> a;
	cout << "?  " << 1 << " " << 2 << "\n";
	cout.flush();
	cin >> x;
	if (x == 1)
	{
		a.push_back(1);
		a.push_back(1);
	}
	else
	{
		a.push_back(1);
		a.push_back(2);
	}
	n = 2;
	for (i = 2; i <= n - 1; i++)
	{
		cout << "?" << i << " " << i + 1 <<"\n";
		cout.flush();
		cin >> x;
		if (x == 1)
		{
			a.push_back(a[n - 1]);
		}
		else 
		{
			if (a[n - 1] == 1) a.push_back(2);
			else a.push_back(1);
		}
		n++;
	}
	cout << "Ready!" << "\n";
	cout.flush();
	cout << 2 << "\n";
	cout.flush();
	for (i = 0; i < n; i++) cout << a[i] << " ";
	cout << "\n";
	cout.flush();

}
